﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="RadGrid_Custom_FilterExpressions.aspx.cs" Inherits="RadGrid_Custom_FilterExpressions" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">

        <telerik:RadScriptManager ID="RadScriptManager1" runat="server">
            <Scripts>
                <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.Core.js" />
                <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.jQuery.js" />
                <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.jQueryInclude.js" />
            </Scripts>
        </telerik:RadScriptManager>

        <script type="text/javascript">
            //Put your JavaScript code here.
        </script>

        <telerik:RadAjaxManager ID="RadAjaxManager1" runat="server">
        </telerik:RadAjaxManager>

        <telerik:RadLabel ID="RadLabel1" runat="server" AssociatedControlID="RadTextBox1" Text="ShipName Contains"></telerik:RadLabel>
        <telerik:RadTextBox ID="RadTextBox1" runat="server" Text="3"></telerik:RadTextBox>
        <telerik:RadLabel ID="RadLabel2" runat="server" AssociatedControlID="RadTextBox2" Text="OR"></telerik:RadLabel>
        <telerik:RadTextBox ID="RadTextBox2" runat="server" Text="4"></telerik:RadTextBox>
        <telerik:RadButton ID="RadButton1" runat="server" Text="Filter" OnClick="RadButton1_Click"></telerik:RadButton>
        <br />
        <br />
        <telerik:RadLabel ID="RadLabel3" runat="server" AssociatedControlID="RadTextBox3" Text="ShipName Contains"></telerik:RadLabel>
        <telerik:RadTextBox ID="RadTextBox3" runat="server" Text="1"></telerik:RadTextBox>
        <telerik:RadLabel ID="RadLabel4" runat="server" AssociatedControlID="RadTextBox4" Text="AND"></telerik:RadLabel>
        <telerik:RadTextBox ID="RadTextBox4" runat="server" Text="6"></telerik:RadTextBox>
        <telerik:RadButton ID="RadButton2" runat="server" Text="Filter" OnClick="RadButton2_Click"></telerik:RadButton>
        <br />
        <br />
        <telerik:RadButton ID="RadButton3" runat="server" Text="Clear" OnClick="RadButton3_Click"></telerik:RadButton>
        <br />
        <br />
        <telerik:RadGrid ID="RadGrid1" runat="server" AllowPaging="True" Width="800px" 
            OnPreRender="RadGrid1_PreRender"
            OnNeedDataSource="RadGrid1_NeedDataSource" AllowFilteringByColumn="true">
            <MasterTableView AutoGenerateColumns="False" DataKeyNames="OrderID" IsFilterItemExpanded="false">
                <Columns>
                    <telerik:GridBoundColumn DataField="OrderID" DataType="System.Int32"
                        FilterControlAltText="Filter OrderID column" HeaderText="OrderID"
                        ReadOnly="True" SortExpression="OrderID" UniqueName="OrderID">
                    </telerik:GridBoundColumn>
                    <telerik:GridDateTimeColumn DataField="OrderDate" DataType="System.DateTime"
                        FilterControlAltText="Filter OrderDate column" HeaderText="OrderDate"
                        SortExpression="OrderDate" UniqueName="OrderDate">
                    </telerik:GridDateTimeColumn>
                    <telerik:GridNumericColumn DataField="Freight" DataType="System.Decimal"
                        FilterControlAltText="Filter Freight column" HeaderText="Freight"
                        SortExpression="Freight" UniqueName="Freight">
                    </telerik:GridNumericColumn>
                    <telerik:GridBoundColumn DataField="ShipName"
                        FilterControlAltText="Filter ShipName column" HeaderText="ShipName"
                        SortExpression="ShipName" UniqueName="ShipName">
                    </telerik:GridBoundColumn>
                    <telerik:GridBoundColumn DataField="ShipCountry"
                        FilterControlAltText="Filter ShipCountry column" HeaderText="ShipCountry"
                        SortExpression="ShipCountry" UniqueName="ShipCountry">
                    </telerik:GridBoundColumn>
                </Columns>
            </MasterTableView>
        </telerik:RadGrid>
    </form>
</body>
</html>
